com.hazelcast.config

## Class GroupConfig

- java.lang.Object
- - com.hazelcast.config.GroupConfig

-     public final class GroupConfig
      extends Object

  Contains the configuration for Hazelcast groups.

  With groups it is possible to create multiple clusters where each cluster has its own group and doesn't interfere with other clusters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_GROUP_NAME` Default group name.
    `static String` | `DEFAULT_GROUP_PASSWORD` Default group password.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupConfig()` Creates a GroupConfig with default group-name and group-password.
    `GroupConfig(GroupConfig groupConfig)` Copy constructor
    `GroupConfig(String name)` Creates a GroupConfig with the given group-name and default group-password
    `GroupConfig(String name, String password)` Creates a GroupConfig with the given group-name and group-password

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getName()` Gets the group name of the group.
    `String` | `getPassword()` Deprecated. since 3.11, password check is removed. Passwords are only checked in default LoginModule when Hazelcast `security` is enabled (Enterprise edition only).
    `int` | `hashCode()`
    `GroupConfig` | `setName(String name)` Sets the group name of the group.
    `GroupConfig` | `setPassword(String password)` Deprecated. since 3.11, password check is removed. Passwords are only checked in default LoginModule when Hazelcast `security` is enabled (Enterprise edition only).
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_GROUP_PASSWORD

          public static final String DEFAULT_GROUP_PASSWORD

      Default group password.
      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_NAME

          public static final String DEFAULT_GROUP_NAME

      Default group name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroupConfig

          public GroupConfig()

      Creates a GroupConfig with default group-name and group-password.

    - #### GroupConfig

          public GroupConfig(String name)

      Creates a GroupConfig with the given group-name and default group-password
      Parameters:
        `name` - the name of the group
      Throws:
        `IllegalArgumentException` - if name is `null`

    - #### GroupConfig

          public GroupConfig(String name,
                             String password)

      Creates a GroupConfig with the given group-name and group-password
      Parameters:
        `name` - the name of the group
        `password` - the password of the group
      Throws:
        `IllegalArgumentException` - if name or password is `null`

    - #### GroupConfig

          public GroupConfig(GroupConfig groupConfig)

      Copy constructor
      Parameters:
        `groupConfig` - to copy

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the group name of the group.
      Returns:
        the name of the group

    - #### setName

          public GroupConfig setName(String name)

      Sets the group name of the group.
      Parameters:
        `name` - the name to set for the group
      Returns:
        the updated GroupConfig
      Throws:
        `IllegalArgumentException` - if name is `null`

    - #### getPassword

          @Deprecated
          public String getPassword()

      Deprecated. since 3.11, password check is removed. Passwords are only checked in default LoginModule when Hazelcast `security` is enabled (Enterprise edition only).
      Gets the password of the group.
      Returns:
        the password of the group

    - #### setPassword

          @Deprecated
          public GroupConfig setPassword(String password)

      Deprecated. since 3.11, password check is removed. Passwords are only checked in default LoginModule when Hazelcast `security` is enabled (Enterprise edition only).
      Sets the password for the group.
      Parameters:
        `password` - the password to set for the group
      Returns:
        the updated GroupConfig
      Throws:
        `IllegalArgumentException` - if password is `null`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.